Cancel upload
Cancels and removes an in-progress upload stream. No authentication is required.
Required Permissions
You can call this endpoint without an authentication token, but a valid upload stream token is required. The token can only be used from the same IP address as the client that created the upload stream.
HTTP Request
DELETE /api/sonar/upload-streams/:token
cURL Example
curl -X DELETE https://HOSTNAME/api/sonar/upload-streams/a1b2c3d4-e5f6-7890-abcd-ef1234567890
Request Parameters
Path Parameters
| Key | Type | Description | Note |
|---|---|---|---|
| token | String | Upload stream token |
Success Response
{}
Error Responses
Upload stream is not found
HTTP status code 500
{
"error_code": "illegal-state",
"error_msg": "upload stream not found: a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}